Bug 52135 - ifup-wireless gets no vars, iwconfig fails to config wirless card
ifup-wireless gets no vars, iwconfig fails to config wirless card
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 18:13 EDT by Scott Russell
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 16:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Russell 2001-08-20 18:13:52 EDT
Description of Problem:

Configured new eth0 interface via Red Hat network config tool. eth0 is a
wvlan_cs (orinoco 11Mbit/s Silver) defined as 'Wireless' by Red Hat net
config tool.

The ifcfg-eth0 contains all the proper info (ESSID, MODE, etc) but these
variables are empty when ifup-wireless is called from ifup.

Version-Release number of selected component (if applicable):
Red Hat 7.2 Roswell2 (RC1 / BETA4)

How Reproducible:
100%

Steps to Reproduce:
1. Config wireless interface
2. Add -x to ifup-wireless script (#!/bin/bash -x)
3. Reboot or restart network service; See empty vars for MODE, ESSID, etc


You can also run iwconfig eth0 by hand when network restarts and see that
the ESSID, MODE, etc info was not configured proper.

Can follow up later with copie of ifcfg-eth0 so you can see the settings
that ifup-wireless should get.
Comment 1 Pekka Savola 2001-08-21 02:30:25 EDT
Either ifup-wireless should source the configs, or ifup-wireless should be
sourced from ifup, not run.
Comment 2 Glen Foster 2001-08-21 16:26:51 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 3 Bill Nottingham 2001-08-22 22:59:13 EDT
Will be fixed in 6.26-1.

Note You need to log in before you can comment on or make changes to this bug.